using CoreLibrary.Manager;
using Xunit;

namespace UnitTesting
{
    public class ManagerUT
    {
        [Fact]
        public void TestConstruteur()
        {
            Manager manager = new Manager(new Stub());
            Assert.NotNull(manager.Joueurs);
            Assert.NotEmpty(manager.Joueurs);
        }

        [Fact]
        public void TestDispose()
        {
            Stub stub = new Stub();
            Manager manager = new Manager(stub);
            manager.Dispose();
            Assert.True(stub.EstEnregistre);
        }
    }
}
